Bug 1273142 - crash in Managed Entry plugin
Summary: crash in Managed Entry plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-19 18:17 UTC by Noriko Hosoi
Modified: 2016-11-03 20:33 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:33:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2015-10-19 18:17:02 UTC
(gdb) bt
#0  0x00007f806a9466a0 in rename_internal_pb (pb=0x7f800404be40) at ldap/servers/slapd/modrdn.c:350
#1  0x00007f806a94650a in slapi_modrdn_internal_pb (pb=0x7f800404be40) at ldap/servers/slapd/modrdn.c:299
#2  0x00007f805db4a4e4 in mep_rename_managed_entry (origin=0x7f8004046df0, new_dn=0x7f800405c990, old_dn=0x7f8004048ad0) at ldap/servers/plugins/mep/mep.c:1513
#3  0x00007f805db4cc68 in mep_modrdn_post_op (pb=0x7f8033fe6b50) at ldap/servers/plugins/mep/mep.c:2757
#4  0x00007f806a95aa3a in plugin_call_func (list=0x7f806bf3eb90, operation=562, pb=0x7f8033fe6b50, call_one=0) at ldap/servers/slapd/plugin.c:1920
#5  0x00007f806a95a89b in plugin_call_list (list=0x7f806bf6a880, operation=562, pb=0x7f8033fe6b50) at ldap/servers/slapd/plugin.c:1864
#6  0x00007f806a9576e6 in plugin_call_plugins (pb=0x7f8033fe6b50, whichfunction=562) at ldap/servers/slapd/plugin.c:438
#7  0x00007f805e296236 in ldbm_back_modrdn (pb=0x7f8033fe6b50) at ldap/servers/slapd/back-ldbm/ldbm_modrdn.c:1235
#8  0x00007f806a9470eb in op_shared_rename (pb=0x7f8033fe6b50, passin_args=0) at ldap/servers/slapd/modrdn.c:621
#9  0x00007f806a9462eb in do_modrdn (pb=0x7f8033fe6b50) at ldap/servers/slapd/modrdn.c:225
#10 0x00007f806ae36ef4 in connection_dispatch_operation (conn=0x7f8046d64cc0, op=0x7f806c58d6d0, pb=0x7f8033fe6b50) at ldap/servers/slapd/connection.c:614
#11 0x00007f806ae39085 in connection_threadmain () at ldap/servers/slapd/connection.c:1735
#12 0x00007f8068d23cab in _pt_root () from /lib64/libnspr4.so
#13 0x00007f80686c4555 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f80683fef3d in clone () from /lib64/libc.so.6

the test case is in ipa ticket: https://fedorahosted.org/freeipa/ticket/5367

Comment 1 mreynolds 2015-10-19 19:17:29 UTC
Fixed upstream

Comment 2 Mike McCune 2016-03-28 23:12:48 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 4 Simon Pichugin 2016-07-13 07:27:43 UTC
Build tested:
389-ds-base-1.3.5.10-3.el7.x86_64

=========================== test session starts ===========================
platform linux2 -- Python 2.7.5, pytest-2.9.2, py-1.4.31, pluggy-0.3.1 -- /usr/bin/python
cachedir: dirsrvtests/tests/tickets/.cache
rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests/tests/tickets, inifile:
plugins: html-1.9.0, cov-2.3.0
collected 1 items

dirsrvtests/tests/tickets/ticket48312_test.py::test_ticket48312 PASSED

======================== 1 passed in 24.66 seconds ========================

Comment 6 errata-xmlrpc 2016-11-03 20:33:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.